Show / Hide Table of Contents

# Interface IMessageSerializer

Defines a common interface for message serializers.

###### Namespace:Microsoft.SqlTools.ServiceLayer.Hosting.Protocol.Serializers

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public interface IMessageSerializer

### Methods

| Improve this Doc View Source

#### DeserializeMessage(JObject)

Deserializes a JObject to a Messsage.

##### Declaration

    Message DeserializeMessage(JObject messageJson)

##### Parameters

Type | Name | Description
--- | --- | ---
Newtonsoft.Json.Linq.JObject | messageJson | The JObject containing the JSON representation of the message.

##### Returns

Type | Description
--- | ---
Message | The Message that was represented by the JObject.

| Improve this Doc View Source

#### SerializeMessage(Message)

Serializes a Message to a JObject.

##### Declaration

    JObject SerializeMessage(Message message)

##### Parameters

Type | Name | Description
--- | --- | ---
Message | message | The message to be serialized.

##### Returns

Type | Description
--- | ---
Newtonsoft.Json.Linq.JObject | A JObject which contains the JSON representation of the message.